Subject: Re: Feedback needed on proposed cygwin feature
From: [email-masked] (Justin Smith)

1 Dec 1997 23:46:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Chris Faylor wrote:
> 
> I have recently provided a patch to Cygnus to provide control of various
> environment variable settings on a program by program basis.
> 
> Geoffrey has asked that I get feedback on my changes to see if they are
> something that is useful to the list as a whole.
> 
> My changes cause a program to read the registry for options settings prior
> to reading settings from the environment.  So, for instance, you can do
> something like this:
> 
>         cygwin -o 'c:\bin\bash.exe' binmode notitle
> 
> That will set options in the registry which will cause bash to always
> use 'binmode' as its default and to never modify the title bar.
> 

	I can see a possible problem: the change is limited to the copy of the
program in that directory.  If you use the above example, but have
another copy of the program in a different directory, the changes will
not carry over, which in some, but not all, eyes could be a bad thing,
since you would have to have an entry for each instance of the program
you want to run.  If, however, you just use the program name without the
path, the changes would be global for all instances of that program,
which is a little better in my opinion.

	But that just brings up another question: what about instances run from
symlinks?
-- 

Justin Smith,
Systems Engineer with the law office of
  Dewey, Cheetam and Howe.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".